Verify Driving Licence
curl --request POST \
--url https://bgv.konnectnxt.com/api/verification/driving-licence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dl_number": "MH0920220028511",
"dob": "05-05-2020",
"name": "John Doe"
}
'import requests
url = "https://bgv.konnectnxt.com/api/verification/driving-licence"
payload = {
"dl_number": "MH0920220028511",
"dob": "05-05-2020",
"name": "John Doe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dl_number: 'MH0920220028511', dob: '05-05-2020', name: 'John Doe'})
};
fetch('https://bgv.konnectnxt.com/api/verification/driving-licence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"message": "Data Fetched Successfully.",
"data": {
"state": "Karnataka",
"status": "Active",
"user_dob": "12-11-1995",
"dl_number": "KA0620190034567",
"user_image": "https://storage.googleapis.com/konnectnxt/dl-verification/profile/random-profile-img.png",
"expiry_date": "11-11-2035",
"issued_date": "12-11-2019",
"endorse_date": "NA",
"user_address": [
{
"pin": "560001",
"type": "Permanent",
"state": "Karnataka",
"country": "INDIA",
"district": "Bangalore Urban",
"addressLine1": "No. 24, MG Road",
"completeAddress": "No. 24, MG Road, Bangalore Urban, Karnataka, 560001"
},
{
"pin": "560034",
"type": "Present",
"state": "Karnataka",
"country": "INDIA",
"district": "Bangalore Urban",
"addressLine1": "Flat 102, Indiranagar Heights",
"completeAddress": "Flat 102, Indiranagar Heights, Bangalore Urban, Karnataka, 560034"
}
],
"endorse_number": "NA",
"status_details": {
"to": "",
"from": "",
"remarks": ""
},
"user_full_name": "RAHUL S MEHRA",
"name_match_score": "95.00",
"user_blood_group": "B+",
"father_or_husband": "SANJAY K MEHRA",
"transport_validity": {
"to": "NA",
"from": "NA"
},
"non_transport_validity": {
"to": "11-11-2035",
"from": "12-11-2019"
},
"vehicle_category_details": [
{
"cov": "LMV",
"issueDate": "12-11-2019",
"expiryDate": "11-11-2035"
},
{
"cov": "MCWG",
"issueDate": "12-11-2019",
"expiryDate": "11-11-2035"
}
]
},
"credits_used": 1,
"credits_remaining": 499
}Driving Licence
Driving Licence
Verifies a driving licence using licence number and date of birth.
POST
/
verification
/
driving-licence
Verify Driving Licence
This API retrieves the details of a Driving License (DL) associated with a person. It requires the following input parameters:
- DL Number: The driving license number.
- Date of Birth (DOB): The date of birth of the individual.
Optional Feature
- Name Match Verification: Optionally, the API can perform a name match verification.
Response Details
The API provides comprehensive information about the Driving License, including:- Basic Info
- Driving License Details
- Validity
- Vehicle Category Details
- Address Details
- Status Details
400 Response Messages
DL Number Errors
- DL Number must be in the format AA00XXXXXXXXXXX.
- DL Number cannot have all identical digits in the numeric part.
dl_numberis required.dl_numberis invalid.dl_numbermust be a string.
Date of Birth (DOB) Errors
- Date of Birth must be in the format dd-mm-yyyy.
dobis required.dobis invalid.dobmust be a string.
Name Errors
namemust be a string.nameis invalid.- Name must not contain special characters or numbers.
Payload Errors
- Payload is missing.
Authorizations
API key issued by KonnectNXT. Pass as Authorization: Bearer <your_api_key>.
Body
application/json
DL Number must be in the format AA00XXXXXXXXXXX and not contain all identical digits in the numeric part. (Max Length: 16)
Maximum string length:
16Example:
"MH0920220028511"
Date of Birth in DD-MM-YYYY format.
Pattern:
^\d{2}-\d{2}-\d{4}$Example:
"05-05-2020"
Optional. Must not contain special characters or numbers.
Pattern:
^[a-zA-Z\s]*$Example:
"John Doe"
Response
Successful response with Driving Licence details.
Overall status of the API
Available options:
success, error HTTP status code
Example:
400
Description of the response or error
Example:
"Invalid request parameters"
Show child attributes
Show child attributes
Represents the total number of credits used in this request.
Example:
3
Represents the remaining credits available for use.
Example:
4040
Was this page helpful?

